Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.importexport.model
Class UpdateJobResult

    java.lang.Object
      com.amazonaws.services.importexport.model.UpdateJobResult

    public class UpdateJobResult

extends Object

Output structure for the UpateJob operation.

Constructor Summary
`UpdateJobResult()`

Method Summary
`Boolean` | `getSuccess()` Specifies whether (true) or not (false) AWS Import/Export updated your job.
`String` | `getWarningMessage()` An optional message notifying you of non-fatal issues with the job, such as use of an incompatible Amazon S3 bucket name.
`Boolean` | `isSuccess()` Specifies whether (true) or not (false) AWS Import/Export updated your job.
`void` | `setSuccess(Boolean success)` Specifies whether (true) or not (false) AWS Import/Export updated your job.
`void` | `setWarningMessage(String warningMessage)` An optional message notifying you of non-fatal issues with the job, such as use of an incompatible Amazon S3 bucket name.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateJobResult` | `withSuccess(Boolean success)` Specifies whether (true) or not (false) AWS Import/Export updated your job.
`UpdateJobResult` | `withWarningMessage(String warningMessage)` An optional message notifying you of non-fatal issues with the job, such as use of an incompatible Amazon S3 bucket name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpdateJobResult

    public UpdateJobResult()

Method Detail

### isSuccess

    public Boolean isSuccess()

  Specifies whether (true) or not (false) AWS Import/Export updated your job.

  Returns:
    Specifies whether (true) or not (false) AWS Import/Export updated your job.

### setSuccess

    public void setSuccess(Boolean success)

  Specifies whether (true) or not (false) AWS Import/Export updated your job.

  Parameters:
    `success` - Specifies whether (true) or not (false) AWS Import/Export updated your job.

### withSuccess

    public UpdateJobResult withSuccess(Boolean success)

  Specifies whether (true) or not (false) AWS Import/Export updated your job.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `success` - Specifies whether (true) or not (false) AWS Import/Export updated your job.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSuccess

    public Boolean getSuccess()

  Specifies whether (true) or not (false) AWS Import/Export updated your job.

  Returns:
    Specifies whether (true) or not (false) AWS Import/Export updated your job.

### getWarningMessage

    public String getWarningMessage()

  An optional message notifying you of non-fatal issues with the job, such as use of an incompatible Amazon S3 bucket name.

  Returns:
    An optional message notifying you of non-fatal issues with the job, such as use of an incompatible Amazon S3 bucket name.

### setWarningMessage

    public void setWarningMessage(String warningMessage)

  An optional message notifying you of non-fatal issues with the job, such as use of an incompatible Amazon S3 bucket name.

  Parameters:
    `warningMessage` - An optional message notifying you of non-fatal issues with the job, such as use of an incompatible Amazon S3 bucket name.

### withWarningMessage

    public UpdateJobResult withWarningMessage(String warningMessage)

  An optional message notifying you of non-fatal issues with the job, such as use of an incompatible Amazon S3 bucket name.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `warningMessage` - An optional message notifying you of non-fatal issues with the job, such as use of an incompatible Amazon S3 bucket name.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.